Skip to main content
GET
/
commerce
/
callofforders
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "attributes": [
        {
          "attributeDefinitionId": 123,
          "auditInfo": {
            "createBy": "<string>",
            "createDate": "2023-11-07T05:31:56Z",
            "updateBy": "<string>",
            "updateDate": "2023-11-07T05:31:56Z"
          },
          "fullyQualifiedName": "<string>",
          "values": [
            "<unknown>"
          ]
        }
      ],
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "availableActions": [
        "<string>"
      ],
      "blanketOrderId": "<string>",
      "cancelledBy": "<string>",
      "cancelledDate": "2023-11-07T05:31:56Z",
      "cancelledReason": {
        "description": "<string>",
        "moreInfo": "<string>",
        "reasonCode": "<string>"
      },
      "changeMessages": [
        {
          "body": "<string>",
          "callOffOrderId": "<string>",
          "createBy": "<string>",
          "createDate": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "identifier": "<string>",
          "newValue": "<string>",
          "oldValue": "<string>",
          "siteId": 123,
          "subject": "<string>",
          "tenantId": 123
        }
      ],
      "channelCode": "<string>",
      "completedAt": "2023-11-07T05:31:56Z",
      "creditHold": {
        "onHold": true,
        "reason": {
          "description": "<string>",
          "moreInfo": "<string>",
          "reasonCode": "<string>"
        }
      },
      "currencyCode": "<string>",
      "customerAccountId": 123,
      "data": {},
      "destinations": [
        {
          "data": {},
          "destinationContact": {
            "address": {
              "address1": "<string>",
              "address2": "<string>",
              "address3": "<string>",
              "address4": "<string>",
              "addressType": "<string>",
              "cityOrTown": "<string>",
              "countryCode": "<string>",
              "isValidated": true,
              "postalOrZipCode": "<string>",
              "stateOrProvince": "<string>"
            },
            "companyOrOrganization": "<string>",
            "email": "jsmith@example.com",
            "firstName": "<string>",
            "id": 123,
            "lastNameOrSurname": "<string>",
            "middleNameOrInitial": "<string>",
            "phoneNumbers": {
              "home": "<string>",
              "mobile": "<string>",
              "work": "<string>"
            }
          },
          "id": "<string>",
          "isDestinationCommercial": true
        }
      ],
      "externalId": "<string>",
      "id": "<string>",
      "items": [
        {
          "actualDeliveryDate": "2023-11-07T05:31:56Z",
          "attributes": [
            {
              "attributeDefinitionId": 123,
              "auditInfo": {
                "createBy": "<string>",
                "createDate": "2023-11-07T05:31:56Z",
                "updateBy": "<string>",
                "updateDate": "2023-11-07T05:31:56Z"
              },
              "fullyQualifiedName": "<string>",
              "values": [
                "<unknown>"
              ]
            }
          ],
          "blanketOrderItemId": "<string>",
          "cancelledBy": "<string>",
          "cancelledDate": "2023-11-07T05:31:56Z",
          "cancelledReason": {
            "description": "<string>",
            "moreInfo": "<string>",
            "reasonCode": "<string>"
          },
          "destinationId": "<string>",
          "expectedDeliveryDate": "2023-11-07T05:31:56Z",
          "fillRate": 123,
          "fulfillmentLocationCode": "<string>",
          "fulfillmentType": "<string>",
          "id": "<string>",
          "inventoryTags": [
            {
              "name": "<string>",
              "value": "<string>"
            }
          ],
          "lineId": 123,
          "lineTotal": 123,
          "product": {
            "name": "<string>",
            "productCode": "<string>"
          },
          "releasedDate": "2023-11-07T05:31:56Z",
          "releasedQty": 123,
          "requestedDeliveryDate": "2023-11-07T05:31:56Z",
          "requestedQty": 123,
          "requestedShipDate": "2023-11-07T05:31:56Z",
          "reservedQty": 123,
          "salesOrderId": "<string>",
          "status": "<string>",
          "unitPrice": 123
        }
      ],
      "notes": [
        {
          "auditInfo": {
            "createBy": "<string>",
            "createDate": "2023-11-07T05:31:56Z",
            "updateBy": "<string>",
            "updateDate": "2023-11-07T05:31:56Z"
          },
          "id": "<string>",
          "text": "<string>"
        }
      ],
      "number": 123,
      "reservationId": "<string>",
      "siteId": 123,
      "status": "<string>",
      "tenantId": 123,
      "totalAmount": 123,
      "version": "<string>"
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

startIndex
integer<int32>
default:0
pageSize
integer<int32>
default:20
sortBy
string
filter
string
responseFields
string

limits which fields are returned in the response body

Response

OK

Paged result for Call-Off Order list queries.

items
object[] | null

Page of call-off orders matching the query.

pageCount
integer<int32>

Total number of pages.

pageSize
integer<int32>

Maximum number of records per page.

startIndex
integer<int32>

Zero-based index of the first record in this page.

totalCount
integer<int32>

Total number of matching records across all pages.